com.streambase.sb.operator

## Enum TransactionIsolationLevel

- java.lang.Object
- - java.lang.Enum<TransactionIsolationLevel>
  - - com.streambase.sb.operator.TransactionIsolationLevel

- All Implemented Interfaces:
    Serializable, Comparable<TransactionIsolationLevel>

      public enum TransactionIsolationLevel
      extends Enum<TransactionIsolationLevel>

  This describes the server's transaction isolation level (only meaningful for com.streambase.sb.operator.StorageMethod.TRANSACTIONAL_MEMORY)
  Since:
    10.2

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ_COMMITTED_SNAPSHOT` Modifications are only visible outside of the current transaction when it commits.
    `SERIALIZABLE` Modifications are only visible outside of the current transaction when it commits.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransactionIsolationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TransactionIsolationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ_COMMITTED_SNAPSHOT

          public static final TransactionIsolationLevel READ_COMMITTED_SNAPSHOT

      Modifications are only visible outside of the current transaction when it commits. Snapshots are taken from the last committed transaction (i.e. It is not a dirty read) to ensure read consistency during a transaction. No transaction read locks are taken during the transaction allowing modifications to occur while reading the data.

    - #### SERIALIZABLE

          public static final TransactionIsolationLevel SERIALIZABLE

      Modifications are only visible outside of the current transaction when it commits. Transaction read locks are taken for the duration of the transaction to ensure read consistency. All writes are blocked while a transaction read lock is held.

  - ### Method Detail

    - #### values

          public static TransactionIsolationLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TransactionIsolationLevel c : TransactionIsolationLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TransactionIsolationLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.